Loading...
Searching...
No Matches
seqan3::align_cfg::upper_diagonal Struct Reference
Sequence Alignment » Configuration

A strong type representing the upper diagonal of the seqan3::align_cfg::band_fixed_size. More...

`#include <seqan3/alignment/configuration/align_config_band.hpp>`

Inheritance diagram for seqan3::align_cfg::upper_diagonal:
[legend]

## Public Types

using | base_t = seqan3::detail::strong_type<int32_t, upper_diagonal>
| The type of the strong type base class.

## Detailed Description

A strong type representing the upper diagonal of the seqan3::align_cfg::band_fixed_size.

The documentation for this struct was generated from the following file:

- align_config_band.hpp

Hide me